# Uses of Class
javafx.scene.control.MultipleSelectionModel

Packages that use MultipleSelectionModel
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of MultipleSelectionModel in javafx.scene.control

Subclasses of MultipleSelectionModel in javafx.scene.control
Modifier and Type
Class
Description
`class`
`TableSelectionModel<T>`
The abstract base class for MultipleSelectionModel implementations that are used within table-like controls (most notably `TableView` and `TreeTableView`.
`static class`
`TableView.TableViewSelectionModel<S>`
A simple extension of the `SelectionModel` abstract class to allow for special support for TableView controls.
`static class`
`TreeTableView.TreeTableViewSelectionModel<S>`
A simple extension of the `SelectionModel` abstract class to allow for special support for TreeTableView controls.
Methods in javafx.scene.control that return MultipleSelectionModel
Modifier and Type
Method
Description
`final MultipleSelectionModel<T>`
ListView.`getSelectionModel()`
Returns the currently installed selection model.
`final MultipleSelectionModel<TreeItem<T>>`
TreeView.`getSelectionModel()`
Returns the currently installed selection model.
Methods in javafx.scene.control that return types with arguments of type MultipleSelectionModel
Modifier and Type
Method
Description
`final ObjectProperty<MultipleSelectionModel<T>>`
ListView.`selectionModelProperty()`
The SelectionModel provides the API through which it is possible to select single or multiple items within a ListView, as well as inspect which items have been selected by the user.
`final ObjectProperty<MultipleSelectionModel<TreeItem<T>>>`
TreeView.`selectionModelProperty()`
The SelectionModel provides the API through which it is possible to select single or multiple items within a TreeView, as well as inspect which rows have been selected by the user.
Methods in javafx.scene.control with parameters of type MultipleSelectionModel
Modifier and Type
Method
Description
`final void`
ListView.`setSelectionModel(MultipleSelectionModel<T> value)`
Sets the `MultipleSelectionModel` to be used in the ListView.
`final void`
TreeView.`setSelectionModel(MultipleSelectionModel<TreeItem<T>> value)`
Sets the `MultipleSelectionModel` to be used in the TreeView.